%define major	1.9
%define libname %mklibname %{name} %{major}

Summary: 	Encrypted pass-through filesystem for Linux
Name:		encfs
Version:	1.9.5
Release:	%mkrel 9
License:	GPLv3+
Group:		File tools
URL: 		https://vgough.github.io/encfs/
Source0:	http://encfs.googlecode.com/files/%{name}-%{version}.tar.gz
Patch0:		encfs-cmake-4.0.patch
Requires:	fuse >= 2.6
Requires:	kmod(fuse.ko)
Requires:	openssl >= 0.9.7
BuildRequires:	cmake
BuildRequires:	pkgconfig(librlog) >= 1.3
BuildRequires:	pkgconfig(fuse) >= 2.6
BuildRequires:	pkgconfig(openssl) >= 0.9.7
BuildRequires:	pkgconfig(tinyxml2)
BuildRequires:	boost-devel >= 1.34
# only needed for autoreconf usage
BuildRequires:	gettext-devel

%description
EncFS implements an encrypted pass-through filesystem in userspace using
FUSE. File names and contents are encrypted using OpenSSL.

%package -n 	%{libname}
Summary:	Libraries for encfs
Group:		System/Libraries

%description -n	%{libname}
Libraries for encfs.

%prep
%autosetup -p1

%build
%cmake \
    -DCMAKE_SKIP_RPATH=ON \
    -DBUILD_SHARED_LIBS=ON \
    -DINSTALL_LIBENCFS=ON \
    -DUSE_INTERNAL_TINYXML=OFF
%cmake_build

%install
%cmake_install

rm -f %{buildroot}%{_libdir}/*.so

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog
%{_bindir}/*
%{_mandir}/man?/*

%files -n %{libname}
%{_libdir}/libencfs.so.%{major}{,.*}


%changelog
* Wed Jun 18 2025 daviddavid <daviddavid> 1.9.5-9.mga10
+ Revision: 2192669
- add patch to fix build with cmake 4.0
- rebuild for new tinyxml2 11.0.0

* Tue Feb 13 2024 daviddavid <daviddavid> 1.9.5-8.mga10
+ Revision: 2040960
- rebuild for new tinyxml2 10.0.0

* Sun Oct 09 2022 guillomovitch <guillomovitch> 1.9.5-7.mga9
+ Revision: 1895811
- rebuild for new libtinyxml2

* Sat Mar 19 2022 umeabot <umeabot> 1.9.5-6.mga9
+ Revision: 1799585
- Mageia 9 Mass Rebuild

* Sat Oct 02 2021 wally <wally> 1.9.5-5.mga9
+ Revision: 1747428
- rebuild for openssl 3.0.0

* Thu Feb 13 2020 umeabot <umeabot> 1.9.5-4.mga8
+ Revision: 1512089
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sun Sep 23 2018 umeabot <umeabot> 1.9.5-3.mga7
+ Revision: 1297600
- Mageia 7 Mass Rebuild

* Tue May 15 2018 akien <akien> 1.9.5-2.mga7
+ Revision: 1229733
- Rebuild for tinyxml 6.2.0

* Fri May 04 2018 guillomovitch <guillomovitch> 1.9.5-1.mga7
+ Revision: 1226121
- new version 1.9.5

* Sat Feb 10 2018 guillomovitch <guillomovitch> 1.9.4-1.mga7
+ Revision: 1200094
- new version 1.9.4

* Sat Sep 30 2017 guillomovitch <guillomovitch> 1.9.2-2.mga7
+ Revision: 1161867
- restore libraries creation

* Wed Sep 20 2017 guillomovitch <guillomovitch> 1.9.2-1.mga7
+ Revision: 1156050
- new version 1.9.2

* Wed Mar 02 2016 umeabot <umeabot> 1.8.1-6.mga6
+ Revision: 983390
- Rebuild for openssl
+ luigiwalser <luigiwalser>
- update URL

* Sat Dec 26 2015 daviddavid <daviddavid> 1.8.1-5.mga6
+ Revision: 915167
- rebuild for new boost 1.60.0

* Fri Sep 25 2015 daviddavid <daviddavid> 1.8.1-4.mga6
+ Revision: 883690
- rebuild for new boost 1.59.0

* Mon Aug 31 2015 cjw <cjw> 1.8.1-3.mga6
+ Revision: 871529
- rebuild with gcc 5

* Sun Aug 02 2015 daviddavid <daviddavid> 1.8.1-2.mga6
+ Revision: 860521
- rebuild for new boost-1.58.0

* Tue Jun 23 2015 guillomovitch <guillomovitch> 1.8.1-1.mga6
+ Revision: 840387
- new version 1.8.1

* Wed Oct 15 2014 umeabot <umeabot> 1.7.4-14.mga5
+ Revision: 741588
- Second Mageia 5 Mass Rebuild

* Wed Sep 24 2014 tmb <tmb> 1.7.4-13.mga5
+ Revision: 724119
- adapt to new kmod provides

* Tue Sep 16 2014 umeabot <umeabot> 1.7.4-12.mga5
+ Revision: 679006
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.7.4-11.mga5
+ Revision: 529395
- Mageia 4 Mass Rebuild

* Tue Jul 09 2013 fwang <fwang> 1.7.4-10.mga4
+ Revision: 451768
- rebuild for new boost

* Thu Apr 11 2013 ennael <ennael> 1.7.4-9.mga3
+ Revision: 409611
- rebuild for boost 1.53

* Fri Jan 11 2013 umeabot <umeabot> 1.7.4-8.mga3
+ Revision: 349662
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 20 2012 fwang <fwang> 1.7.4-7.mga3
+ Revision: 332933
- rebuild for new boost

* Tue Jul 31 2012 fwang <fwang> 1.7.4-6.mga3
+ Revision: 276522
- rebuild for new boost

* Wed May 30 2012 fwang <fwang> 1.7.4-5.mga3
+ Revision: 249692
- rebuild for new boost

* Mon Nov 28 2011 fwang <fwang> 1.7.4-4.mga2
+ Revision: 173506
- rebuild for new boost
- rebuild for new boost

* Wed Jul 20 2011 guillomovitch <guillomovitch> 1.7.4-2.mga2
+ Revision: 127489
- imported package encfs


* Tue Mar 15 2011 Funda Wang <fwang@mandriva.org> 1.7.4-2mdv2011.0
+ Revision: 644913
- rebuild for new boost

* Wed Mar 09 2011 Stéphane Téletchéa <steletch@mandriva.org> 1.7.4-1
+ Revision: 643207
- update to new version 1.7.4

* Tue Oct 05 2010 Funda Wang <fwang@mandriva.org> 1.7.2-1mdv2011.0
+ Revision: 583058
- update to new version 1.7.2

* Tue Aug 31 2010 Funda Wang <fwang@mandriva.org> 1.7.1-1mdv2011.0
+ Revision: 574722
- New version 1.7.1

* Mon Aug 23 2010 Funda Wang <fwang@mandriva.org> 1.6.0-3mdv2011.0
+ Revision: 572154
- rebuild for new boost

* Wed Aug 04 2010 Funda Wang <fwang@mandriva.org> 1.6.0-2mdv2011.0
+ Revision: 565990
- rebuild for new boost

* Wed Jul 21 2010 Ahmad Samir <ahmadsamir@mandriva.org> 1.6.0-1mdv2011.0
+ Revision: 556313
- update to 1.6.0
- drop patches, fixed upstream
- bump some BR versions
- remove 'mdkversion < 200900' bits, not needed any more

* Wed Apr 21 2010 Funda Wang <fwang@mandriva.org> 1.5.2-9mdv2010.1
+ Revision: 537382
- rebuild

* Wed Apr 21 2010 Funda Wang <fwang@mandriva.org> 1.5.2-8mdv2010.1
+ Revision: 537304
- rebuild

* Mon Feb 08 2010 Anssi Hannula <anssi@mandriva.org> 1.5.2-7mdv2010.1
+ Revision: 501882
- rebuild for new boost

* Wed Feb 03 2010 Funda Wang <fwang@mandriva.org> 1.5.2-6mdv2010.1
+ Revision: 500263
- rebuild for new boost

* Tue Nov 24 2009 Jérôme Brenier <incubusss@mandriva.org> 1.5.2-5mdv2010.1
+ Revision: 469748
- rebuild for new rlog

* Fri Aug 21 2009 Funda Wang <fwang@mandriva.org> 1.5.2-4mdv2010.0
+ Revision: 418831
- fix linkage

* Wed Aug 12 2009 Frederic Crozat <fcrozat@mandriva.com> 1.5.2-3mdv2010.0
+ Revision: 415443
- Patch0: fix build
- Remove old patch from svn
- Fix build on x86-64
- Rebuild with latest boost

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - rebuild

  + Jérôme Soyer <saispo@mandriva.org>
    - New upstream release
    - Add patch for Boost
    - New upstream release

* Sat Dec 20 2008 Funda Wang <fwang@mandriva.org> 1.4.2-5mdv2009.1
+ Revision: 316573
- rebuild for new boost

* Mon Aug 18 2008 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.4.2-4mdv2009.0
+ Revision: 273467
- rebuild against new boost

* Tue Jul 15 2008 Adam Williamson <awilliamson@mandriva.org> 1.4.2-3mdv2009.0
+ Revision: 236180
- pass --with-boost-system as well as --with-boost-serialization to configure
- disable --no-undefined and --as-needed (unresolvable build failure)
- buildrequires autoconf-archive (needed for boost-system.patch)
- add boost-system.patch - fixes build by building against boost-system as
  well as boost-serialization
- add gcc43.patch to add several missing #defines that break build
- clean spec
- change the explicit dkms-fuse require to kmod(fuse)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri May 02 2008 Funda Wang <fwang@mandriva.org> 1.4.2-2mdv2009.0
+ Revision: 200074
- specify mt version of boost
- BR boost
- New version 1.4.2

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 1.3.2-1mdv2008.1
+ Revision: 140729
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Jul 07 2007 Funda Wang <fwang@mandriva.org> 1.3.2-1mdv2008.0
+ Revision: 49395
- New version
- Import encfs



* Fri Jun 30 2006 Couriousous <couriousous@mandriva.org> 1.3.1-1mdv2007.0
- More fixes & Fix x86_64 build
- 1.3.1

* Wed Jun 28 2006 Lev Givon <lev@mandriva.org> 1.2.5-1.2mdk
- More spec file tweaks.

* Mon Jan 09 2006 Moreno Manzini <moreno.mg@gmail.com> 1.2.5-1.1mdk
- 1.2.5
- fixed some spec bugs.

* Tue Sep 13 2005 Madman <luca.n88@gmail.com> 1.2.4-1.1mdk
- Updated to 1.2.4-1 version.
- Fixed bug: don't try to decipher filenames which are too short to be valid.
- Feature: added "export" command to encfsctl.
- Feature: added support for static libencfs build.
- Feature: location of encfs configuration file can be overridden using ENCFS5_CONFIG environment variable. This allows keeping the .encfs5 configuration file in a separate location from the encoded data, for example.
- Feature: prevent user from trying to mount encfs results over the top of the encrypted directory.

* Sun Jul 24 2005 Madman <luca.n88@gmail.com> 1.2.3-1.1mdk
- First build for Mandriva 2006 Cooker.
- Fixed bug: with certain filesystem options a directory could not be renamed if it contained symbolic links.
- Fixed bug: allow symbolic link to "/".
- Feature: initialize OpenSSL hardware acceleration engine support.
- Feature: added "cat" command to encfsctl, which can dump the contents of a file without mounting the FS. 
- Feature: updated libtool.
